## Overview
**SM-AU-TV** is a tool for automating the uploading process of videos on sugoimusic.me. This tool automatically generates the MediaInfo for the upload. Other information must be manually filled in as arguments.

**Installation:**
- Install requirements
```
pip install -r requirements.txt
```

## Command Usage
```
python upload.py {command_name}
```
Use the copycommand.txt file to easily copy and paste your command.

Command  | Description 
------------- | -------------
-h, --help | show help message and exit
-i [INPUT], --input [INPUT] | Initiate upload on input file. This must be added as an argument.
-d, --debug | Enable debug mode.
-dry, --dryrun | Dryrun will carry out all actions other than the actual upload to SM.
-rt [RELEASETYPE], --releasetype [RELEASETYPE] | Set the release type.
-a [ARTISTS], --artists [ARTISTS] | Set the artists. (Romaji\English). Split multiple with ","
-oa [ORIGINALARTIST], --originalartist [ORIGINALARTIST] | Set the artist. (Original Language)
-ca [CONTRIBUTINGARTISTS], --contributingartists [CONTRIBUTINGARTISTS] | Set the contributing artists. (Romaji\English). Split multiple with ","
-ti [TITLE], --title [TITLE] | Set the title. (Romaji\English)
-oti [ORIGINALTITLE], --originaltitle [ORIGINALTITLE] | Set the title. (Original Language)
-t [TAGS], --tags [TAGS] | Add additional tags to the upload. At least 2 tags are required
-y [YEAR], --year [YEAR] | Set the torrent year (YYYYMMDD or YYYY).
-eti [EDITIONTITLE], --editiontitle [EDITIONTITLE] | Set the edition title.
-ms [MEDIASOURCE], --mediasource [MEDIASOURCE] | Set the media source.
-s [SUB], --sub [SUB] | Set the subtitle type.
-l [LANGUAGE], --language [LANGUAGE] | Set the language
-ey [EDITIONYEAR], --year [EDITIONYEAR] | Set the edition year (YYYYMMDD or YYYY).
-im [IMAGEURL], --imageURL [IMAGEURL] | Set the torrent cover URL.
-ss [SCREENSHOTURLS], --screenshots [SCREENSHOTURLS] | Set the screenshot URLs. Split multiple with ","
-tdes [TORRENTDESCRIPTION], --description [TORRENTDESCRIPTION] | Add a torrent description. Only available as an argument.
-tgdes [TORRENTGROUPDESCRIPTION], --description [TORRENTGROUPDESCRIPTION] | Add a torrent group description. This must be added as an argument.


## Config.json  

**credentials:**

Config  | Description  | Example
------------- | ------------- | -------------
Username | SugoiMusic Username | Username
Password  | SugoiMusic Password | Password
Passkey  | SugoiMusic Passkey | Passkey

**local_prefs**  

Config  | Description  | Example
------------- | ------------- | -------------
add_to_watch_folder | moves .torrent file to local watch folder | `true/false`  
local_watch_folder | directory of local watch folder | `Z:/watch/Transmission` 


